﻿@page 
@model LoginModel

@{
    ViewBag.Title = "Login";
}

<div class="container my-5 pt-4 pb-5">
    <div class="row justify-content-center">
        <div class="col-md-4 shadow p-4 rounded-3 bg-light">
            <form id="account" method="post" class="row">

                <div asp-validation-summary="ModelOnly" class="text-danger" role="alert"></div>

                <div class="col-12">
                    <h3>FoodSystem | Login</h3>
                    <p class="fs-7 text-secondary">Login to access the system.</p>
                    <hr />
                </div>

                <div class="col-12 mb-3">
                    <label asp-for="Input.UserName" class="form-label my-1"></label>
                    <span class="text-danger fw-bold">*</span>
                    <input asp-for="Input.UserName" class="form-control" />
                    <span asp-validation-for="Input.UserName" class="text-danger fs-7 fw-bold my-1"></span>
                </div>

                <div class="col-12 mb-3">
                    <label asp-for="Input.Password" class="form-label my-1"></label>
                    <span class="text-danger fw-bold">*</span>
                    <input asp-for="Input.Password" class="form-control" />
                    <span asp-validation-for="Input.Password" class="text-danger fs-7 fw-bold my-1"></span>
                </div>  
                
                <div class="mb-4">
                    <button id="login-submit" type="submit" class="w-100 btn btn-primary fw-bold">Log in</button>
                </div>

                <div class="mb-0">
                    <p>No account yet? <a asp-page="/Account/Register" class="text-decoration-none fw-bold">Register here.</a></p>
                </div>

            </form>
        </div>
    </div>
</div>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}
